<template>
    <div class="modal fade bd-example-modal-lg theme-modal" id="quick-view" tabindex="-1" role="dialog"
         aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content quick-view-modal">
                <div class="modal-body">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
                    <div class="row" v-if="product">
                        <div class="col-lg-6 col-xs-12">
                            <div class="quick-view-img">
                                <img :src="product.image?'/storage/product/'+product.image:''" alt=""
                                     class="img-fluid blur-up lazyload"></div>
                        </div>
                        <div class="col-lg-6 rtl-text">
                            <div class="product-right">
                                <h2>{{product.name}}</h2>
                                <h3>Tk. {{product.price}}</h3>
                                <ul class="color-variant">
                                    <li v-for="color in product.colors" class="active" :key="color.id">
                                        <a href="javascript:void(0)">{{color.name}}</a>
                                    </li>
                                </ul>
                                <div class="border-product">
                                    <h6 class="product-title">product details</h6>
                                    <p>{{product.description}}</p>
                                </div>
                                <div class="product-description border-product">
                                    <div class="size-box">
                                        <ul>
                                            <li class="active" v-for="size in product.sizes" >
                                                <a href="javascript:void(0)">{{size.name}}</a>
                                            </li>
                                        </ul>
                                    </div>
                                    <h6 class="product-title">quantity</h6>
                                    <div class="qty-box">
                                        <div class="input-group">
                                            <span class="input-group-prepend">
                                                <button type="button" class="btn quantity-left-minus" data-type="minus" data-field=""><i
                                            class="ti-angle-left"></i></button> </span>
                                            <input type="text" name="quantity" class="form-control input-number"
                                                   value="1"> <span class="input-group-prepend">
                                            <button type="button" class="btn quantity-right-plus" data-type="plus" data-field="">
                                                <i class="ti-angle-right"></i>
                                            </button></span></div>
                                    </div>
                                </div>
                                <div class="product-buttons"><a href="javascript:void(0)" class="btn btn-solid" @click="addCart(product)">add to cart</a> <a
                                    href="#" class="btn btn-solid">view detail</a></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import {EventBus} from "./event-bus";

    export default {
        data(){
            return{
                product: {},
            }
        },
        mounted() {
            EventBus.$on('quickView', payload => {
                this.product=payload;
            });
        },
        methods:{
           async addCart(product){
                axios.post('/product/add/cart',product).then((response) =>{
                    if (response.data[0] === 0){
                        this.$toaster.error(response.data[1]);
                    }else{
                        this.$toaster.success(response.data[1]);
                    }
                });
            },
        }
    }
</script>
